"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../../sheep/index.js");
const sheep_api_trade_order = require("../../../sheep/api/trade/order.js");
require("../../../sheep/api/index.js");
require("../../../sheep/api/distri/score.js");
require("../../../sheep/request/index.js");
require("../../../sheep/config/index.js");
require("../../../sheep/store/index.js");
require("../../../sheep/store/app.js");
require("../../../sheep/api/promotion/diy.js");
require("../../../sheep/platform/index.js");
require("../../../sheep/platform/provider/wechat/index.js");
require("../../../sheep/platform/provider/wechat/miniProgram.js");
require("../../../sheep/api/member/auth.js");
require("../../../sheep/api/member/social.js");
require("../../../sheep/api/member/user.js");
require("../../../sheep/platform/provider/apple/index.js");
require("../../../sheep/platform/share.js");
require("../../../sheep/router/index.js");
require("../../../sheep/hooks/useModal.js");
require("../../../sheep/helper/index.js");
require("../../../sheep/helper/test.js");
require("../../../sheep/helper/digit.js");
require("../../../sheep/api/member/signin.js");
require("../../../sheep/helper/throttle.js");
require("../../../sheep/url/index.js");
require("../../../sheep/platform/pay.js");
require("../../../sheep/api/pay/order.js");
require("../../../sheep/store/user.js");
require("../../../sheep/store/cart.js");
require("../../../sheep/api/trade/cart.js");
require("../../../sheep/api/pay/wallet.js");
require("../../../sheep/api/promotion/coupon.js");
require("../../../sheep/store/sys.js");
require("../../../sheep/store/modal.js");
require("../../../sheep/api/distri/share.js");
require("../../../sheep/api/distri/team.js");
require("../../../sheep/api/infra/file.js");
require("../../../sheep/api/member/address.js");
require("../../../sheep/api/member/point.js");
require("../../../sheep/api/migration/app.js");
require("../../../sheep/api/migration/chat.js");
require("../../../sheep/api/migration/index.js");
require("../../../sheep/api/migration/third.js");
require("../../../sheep/api/pay/channel.js");
require("../../../sheep/api/product/category.js");
require("../../../sheep/api/product/comment.js");
require("../../../sheep/api/product/favorite.js");
require("../../../sheep/api/product/history.js");
require("../../../sheep/api/product/spu.js");
require("../../../sheep/api/promotion/activity.js");
require("../../../sheep/api/promotion/article.js");
require("../../../sheep/api/promotion/bargain.js");
require("../../../sheep/api/promotion/combination.js");
require("../../../sheep/api/promotion/rewardActivity.js");
require("../../../sheep/api/promotion/seckill.js");
require("../../../sheep/api/system/area.js");
require("../../../sheep/api/system/voice.js");
require("../../../sheep/api/trade/afterSale.js");
require("../../../sheep/api/trade/brokerage.js");
require("../../../sheep/api/trade/config.js");
require("../../../sheep/api/trade/delivery.js");
require("../../../sheep/config/zIndex.js");
if (!Array) {
  const _easycom_uni_swiper_dot2 = common_vendor.resolveComponent("uni-swiper-dot");
  const _easycom_s_layout2 = common_vendor.resolveComponent("s-layout");
  (_easycom_uni_swiper_dot2 + _easycom_s_layout2)();
}
const _easycom_uni_swiper_dot = () => "../../../uni_modules/uni-swiper-dot/components/uni-swiper-dot/uni-swiper-dot.js";
const _easycom_s_layout = () => "../../../sheep/components/s-layout/s-layout.js";
if (!Math) {
  (_easycom_uni_swiper_dot + _easycom_s_layout)();
}
const _sfc_main = {
  __name: "log",
  setup(__props) {
    const state = common_vendor.reactive({
      info: [],
      tracks: []
    });
    const goodsImages = common_vendor.computed(() => {
      let array = [];
      if (state.info.items) {
        state.info.items.forEach((item) => {
          array.push({
            image: item.picUrl
          });
        });
      }
      return array;
    });
    async function getExpressDetail(id) {
      const {
        data
      } = await sheep_api_trade_order.OrderApi.getOrderExpressTrackList(id);
      state.tracks = data;
    }
    async function getOrderDetail(id) {
      const {
        data
      } = await sheep_api_trade_order.OrderApi.getOrder(id);
      state.info = data;
    }
    common_vendor.onLoad((options) => {
      getExpressDetail(options.id);
      getOrderDetail(options.id);
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: goodsImages.value.length > 0
      }, goodsImages.value.length > 0 ? {
        b: common_vendor.f(goodsImages.value, (item, index, i0) => {
          return {
            a: common_vendor.unref(sheep_index.sheep).$url.static(item.image),
            b: index
          };
        }),
        c: common_vendor.p({
          info: goodsImages.value,
          current: state.current,
          mode: "round"
        }),
        d: common_vendor.t(state.info.logisticsNo),
        e: common_vendor.t(state.info.logisticsName),
        f: common_vendor.t(common_vendor.unref(sheep_index.sheep).$helper.timeFormat(state.info.deliveryTime, "yyyy-mm-dd hh:MM"))
      } : {}, {
        g: common_vendor.f(state.tracks, (item, index, i0) => {
          return common_vendor.e({
            a: state.tracks.length - 1 !== index
          }, state.tracks.length - 1 !== index ? {} : {}, {
            b: common_vendor.t(item.content),
            c: common_vendor.t(common_vendor.unref(sheep_index.sheep).$helper.timeFormat(item.time, "yyyy-mm-dd hh:MM:ss")),
            d: item.title
          });
        }),
        h: common_vendor.p({
          title: "物流追踪"
        })
      });
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-d9d25552"], ["__file", "D:/zx/mall-front-app/pages/order/express/log.vue"]]);
wx.createPage(MiniProgramPage);
